%define upstream_name    Test-Spec
%define upstream_version 0.54

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    RSpec-like testing for Perl
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Devel::GlobalPhase)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(List::Util)
BuildRequires: perl(Package::Stash) >= 0.230.0
BuildRequires: perl(Scalar::Util) >= 1.110.0
BuildRequires: perl(TAP::Parser)
BuildRequires: perl(Test::Deep) >= 0.103.0
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Test::Trap)
BuildRequires: perl(Tie::IxHash)
BuildRequires: perl(constant)
BuildArch:  noarch

%{?perl_default_filter}

%description
This is a declarative specification-style testing system for
behavior-driven development (BDD) in Perl. The tests (a.k.a. examples) are
named with strings instead of subroutine names, so your fingers will suffer
less fatigue from underscore-itis, with the side benefit that the test
reports are more legible.

This module is inspired by and borrows heavily from RSpec
(http://rspec.info/documentation/), a BDD tool for the Ruby programming
language.

EXPORTS
    When given *no list* (i.e. 'use Test::Spec;'), this class will export:

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%__make test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.540.0-5.mga10
+ Revision: 2204768
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 0.540.0-4.mga9
+ Revision: 1810426
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.540.0-3.mga8
+ Revision: 1506554
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.540.0-2.mga7
+ Revision: 1286812
- Mageia 7 Mass Rebuild

* Sat Jan 13 2018 shlomif <shlomif> 0.540.0-1.mga7
+ Revision: 1192772
- New version 0.54

* Tue Oct 03 2017 tv <tv> 0.530.0-2.mga7
+ Revision: 1166924
- rebuild with fixed rpm for missing autodeps

* Mon Sep 25 2017 tv <tv> 0.530.0-1.mga7
+ Revision: 1159462
- update to 0.53

* Sun Jun 19 2016 pterjan <pterjan> 0.510.0-3.mga6
+ Revision: 1034644
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.510.0-2.mga6
+ Revision: 969006
- Mageia 6 Mass Rebuild

* Tue Jul 28 2015 sander85 <sander85> 0.510.0-1.mga6
+ Revision: 858559
- update to 0.51

* Sat Jul 04 2015 sander85 <sander85> 0.500.0-1.mga6
+ Revision: 850088
- update to 0.50

* Wed Oct 15 2014 umeabot <umeabot> 0.470.0-5.mga5
+ Revision: 741770
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 0.470.0-4.mga5
+ Revision: 736020
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.470.0-3.mga5
+ Revision: 686547
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 0.470.0-2.mga4
+ Revision: 541155
- Mageia 4 Mass Rebuild

* Fri Oct 11 2013 sander85 <sander85> 0.470.0-1.mga4
+ Revision: 495177
- update to 0.47

* Sun Jan 13 2013 umeabot <umeabot> 0.460.0-2.mga3
+ Revision: 373783
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 03 2012 jquelin <jquelin> 0.460.0-1.mga3
+ Revision: 302407
- update to 0.46

* Tue Jun 05 2012 jquelin <jquelin> 0.450.0-1.mga3
+ Revision: 255524
- update to 0.45

* Tue Mar 06 2012 jquelin <jquelin> 0.420.0-1.mga2
+ Revision: 219886
- update to 0.42

* Mon Mar 05 2012 jquelin <jquelin> 0.410.0-1.mga2
+ Revision: 218808
- update to 0.41

* Sat Feb 25 2012 kharec <kharec> 0.400.0-1.mga2
+ Revision: 214497
- update to 0.40

* Thu Sep 01 2011 jquelin <jquelin> 0.390.0-1.mga2
+ Revision: 137568
- update to 0.39

* Wed Jul 13 2011 jquelin <jquelin> 0.380.0-1.mga2
+ Revision: 123630
- update to 0.38

* Fri Jul 08 2011 jquelin <jquelin> 0.370.0-1.mga2
+ Revision: 120502
- update to 0.37

* Thu Jun 30 2011 jquelin <jquelin> 0.350.0-1.mga2
+ Revision: 116442
- update to 0.35

* Wed Jun 15 2011 jquelin <jquelin> 0.330.0-1.mga2
+ Revision: 107712
- imported package perl-Test-Spec


* Wed Jun 15 2011 cpan2dist 0.33-1mga
- initial mageia release, generated with cpan2dist
